Bug 1315690 - (CVE-2016-2088) CVE-2016-2088 bind: malformed packet containing multiple cookie options can trigger assertion failure
CVE-2016-2088 bind: malformed packet containing multiple cookie options can t...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160309,repo...
: Security
Depends On: 1316445
Blocks: 1315695
  Show dependency treegraph
 
Reported: 2016-03-08 07:22 EST by Martin Prpič
Modified: 2016-03-15 08:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: bind 9.10.3-P4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 08:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-03-08 07:22:22 EST
The following flaw, reported by ISC, was found in BIND 9.10:

BIND 9.10 has preliminary support for DNS cookies (or source identity tokens), a proposed mechanism designed to allow lightweight transaction security between a querying party and a nameserver. An error in the BIND code implementing support for this optional feature permits a deliberately misconstructed packet containing multiple cookie options to cause named to terminate with an INSIST assertion failure in resolver.c if DNS cookie support is enabled in the server. Only servers with DNS cookie support enabled at build time can be affected by this defect; in servers which do not have DNS cookie support selected any cookies encountered will be ignored as unknown option types.

Servers which are built with DNS cookie support enabled are vulnerable to denial of service if an attacker can cause them to receive and process a response that contains multiple cookie options.

External References:

https://kb.isc.org/article/AA-01351
Comment 1 Martin Prpič 2016-03-08 07:22:26 EST
Acknowledgments:

Name: ISC
Comment 3 Huzaifa S. Sidhpurwala 2016-03-10 04:12:08 EST
Public via:

https://kb.isc.org/article/AA-01351
Comment 4 Huzaifa S. Sidhpurwala 2016-03-10 04:36:16 EST
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1316445]
Comment 6 Stefan Cornelius 2016-03-15 08:37:30 EDT
Statement:

This issue did not affect the versions of bind97 as shipped with Red Hat Enterprise Linux 5 and bind as shipped with Red Hat Enterprise Linux 5, 6, and 7 as they did not include support for DNS cookies.

Note You need to log in before you can comment on or make changes to this bug.